.. _int: https://docs.python.org/2/library/stdtypes.html

.. _str: https://docs.python.org/2/library/stdtypes.html

.. _bool: https://docs.python.org/2/library/stdtypes.html

.. _VI API 2.5: ../../../vim/version.rst#vimversionversion2

.. _vim.KeyValue: ../../../vim/KeyValue.rst

.. _vmodl.DynamicData: ../../../vmodl/DynamicData.rst

.. _vim.host.SnmpSystem.SnmpConfigSpec.Destination: ../../../vim/host/SnmpSystem/SnmpConfigSpec/Destination.rst


vim.host.SnmpSystem.SnmpConfigSpec
==================================
  
:extends: vmodl.DynamicData_
:since: `VI API 2.5`_

Attributes:
    enabled (`bool`_, optional):

    port (`int`_, optional):

    readOnlyCommunities ([`str`_], optional):

    trapTargets ([`vim.host.SnmpSystem.SnmpConfigSpec.Destination`_], optional):

    option ([`vim.KeyValue`_], optional):

